/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: handle_exceptions.h,v 1.4 2002/05/08 21:24:47 jdejong Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#ifndef EXCEP_H
#define EXCEP_H
/************************************************************************
 $Id: handle_exceptions.h,v 1.4 2002/05/08 21:24:47 jdejong Exp $

 ------------------------------------------------------------------------
 Exception handling routines for FITS files. These are needed to handle
 format problems which occur deep in the FITS file routines without
 having to stop the program at an inappropiate time. E.g. when a certain
 FITS table does not occur in the file which has been read.
************************************************************************/

#define MAX_NUM_EXCEPTIONS 1000
#define MAX_EXCEPTION_SIZE 1000


/* throw an exception with a message, which is formatted as in printf 
	 Inputs:
	 fmt: format and arguments as in printf
*/
void throw_exception(char* fmt, ...);

/* clear the exception stack */
void clear_exceptions(); 

/*  
Check whether the exceptions start with a certain string 
input: 
str - String to check for
returns:
-1 if no exception starts with the string, otherwise
an index of the exception starting with the string is returned
*/
int check_exceptions(char* str); 

/*
Get the number of the current exception
This is necessary because the global variable cannot be accessed by
means of a header file
*/
int get_exception_idx();

/* Show exception number i */
char* get_exception(int idx);

#endif /* !EXCEP_H */













/* */
